      SUBROUTINE TBLMRK
C
C     DONALD BARTH, CHEMISTRY DEPT., HARVARD UNIVERSITY
C
C     ROUTINE TO LIST AND MARK FOR REMOVAL ADDRESS LABELS
C     IN SYMBOL DICTIONARY.
C
      COMMON/TBLTRN/I,IADDRS,IADJST,IBASE,IBLANK,IDGT(16),
     1IERR,IFILL,IFKNT,IKODE,ILEFT,ILINE,ILPT,ILTR,IBYTE,
     2IMASK,LMAX,NMORE,IMOST,INSERT,IOCT(13),IOPRTR,IOUT,
     3IPAREN,IPNCTN(11),IPRCN,IRADIX,IREAD,IREPT,IRIGHT,
     4ISHIFT,ISIGN,ISTAR,ISTORE(478),ITEN,ITEST,ITITLE(6),
     5ITTY,IWIDE,IWRITE,J,JADJST,JBASE,JBLANK,JERR,KPAREN,
     6JFKNT,JKODE(37),JLEFT,JMASK,JMORE,JPAREN,JRADIX,LOOP,
     7JRIGHT,JSHIFT,JSIGN,K,KADJST,KBASE,KERR,KIND,KLINE,
     8KLM,KLTR,KMASK,KNT,KNTLTR,KNTWRD,KODE,KRADIX,IDBG,
     9KREAD,KSHIFT,L,LEAST,LETTER(160),LMASK,LOCK,LSTNEW,
     1LTTR(160),M,MASK,MASTER(5000),MAX,MLEFT,MORE,MOST,
     2MRIGHT,MULT,N,NEW,NEXT,NSIGN,NTITLE(6),NUMBER,LRADIX,
     3KMAX,INLINE,JPNCTN(50),KPNCTN(50),LPNCTN,JOPRTR,NLTR,
     4JBYTE,ILOOP,ISKIP,IVALUE,INSN(6),JNSN,IMAX,JMAX,
     5KNSN,MLTR,JLTR,JLOOP,IPFX,JPFX,LSIGN,IIARG,JJARG,
     6KKARG,LLARG,JVALUE,MIN,IAC,IARG,JARG,KARG,LARG,JSTFY,
     7LENGTH(20),LNGMIN,IORDER,IRMV,KSIGN
C
      KSIGN=0
      LSIGN=0
      L=0
      N=0
      I=LNGMIN
      GO TO 2
    1 IF(KSIGN.EQ.0)KSIGN=J+3
      LSIGN=LSIGN+J-I+3
    2 J=I-3
      I=MASTER(I)
      IF(I.EQ.0)GO TO 14
      K=MASTER(J+2)
      IF(K.EQ.2)GO TO 11
      IF(K.NE.1)GO TO 2
C     ZERO UNKNOWN ADDRESS REFERENCES AND PRINT
      K=J+1
    3 M=K
      K=MASTER(M)
      MASTER(M)=0
      IF(K.EQ.0)GO TO 5
      IF(K.LT.0)GO TO 4
      K=K/8080
      GO TO 3
    4 K=-K
      MASTER(K)=0
      LSIGN=LSIGN+K+1-MASTER(K+1)
    5 MASTER(J+2)=0
      IF(L.NE.0)GO TO 7
      IF(ITTY.EQ.ILPT)GO TO 8
      WRITE(ILPT,6)
    6 FORMAT(1H0,14HADDRESS LABELS/1X)
    7 IF(ITEST.NE.0)GO TO 9
      IF(ILPT.EQ.ITTY)GO TO 9
      IF(N.NE.0)GO TO 9
      N=1
    8 WRITE(ITTY,6)
      JBLANK=1
    9 L=I+1
      WRITE(ILPT,10)(MASTER(K),K=L,J)
      IF(ITEST.NE.0)GO TO 1
      IF(ITTY.NE.ILPT)WRITE(ITTY,10)(MASTER(K),K=L,J)
   10 FORMAT(1H ,8HUNKNOWN ,80A1)
      GO TO 1
C     PRINT KNOWN ADDRESS LABEL
   11 K=-MASTER(J+1)
      IF(K.LE.0)GO TO 12
      MASTER(J+1)=MASTER(K-1)
      MASTER(K)=0
      LSIGN=LSIGN+5
   12 MASTER(J+2)=0
      IF(ITEST.NE.0)GO TO 1
      IF(L.EQ.0)WRITE(ILPT,6)
      L=I+1
      WRITE(ILPT,13)MASTER(J+1),(MASTER(K),K=L,J)
   13 FORMAT(1H ,1I7,1X,80A1)
      IF(ILPT.EQ.ITTY)JBLANK=1
      GO TO 1
   14 RETURN
      END
